Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.java.ao.builder
Class DelegatingDisposableDataSource

    java.lang.Object
      net.java.ao.builder.DelegatingDisposableDataSource

All Implemented Interfaces:
  DataSource, DisposableDataSource

    public abstract class DelegatingDisposableDataSource

extends Object
implements DisposableDataSource

Constructor Summary
`DelegatingDisposableDataSource(DataSource delegate)`

Method Summary
`Connection` | `getConnection()`
`Connection` | `getConnection(String username, String password)`
`DataSource` | `getDelegate()`
`int` | `getLoginTimeout()`
`PrintWriter` | `getLogWriter()`
`void` | `setLoginTimeout(int seconds)`
`void` | `setLogWriter(PrintWriter out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.java.ao.DisposableDataSource
`dispose`

Constructor Detail

### DelegatingDisposableDataSource

    public DelegatingDisposableDataSource(DataSource delegate)

Method Detail

### getDelegate

    public DataSource getDelegate()

### getConnection

    public Connection getConnection()
                             throws SQLException

  Specified by:
    `getConnection` in interface `DataSource`
  Throws:
    `SQLException`

### getConnection

    public Connection getConnection(String username,
                                    String password)
                             throws SQLException

  Specified by:
    `getConnection` in interface `DataSource`
  Throws:
    `SQLException`

### getLogWriter

    public PrintWriter getLogWriter()
                             throws SQLException

  Specified by:
    `getLogWriter` in interface `DataSource`
  Throws:
    `SQLException`

### setLogWriter

    public void setLogWriter(PrintWriter out)
                      throws SQLException

  Specified by:
    `setLogWriter` in interface `DataSource`
  Throws:
    `SQLException`

### setLoginTimeout

    public void setLoginTimeout(int seconds)
                         throws SQLException

  Specified by:
    `setLoginTimeout` in interface `DataSource`
  Throws:
    `SQLException`

### getLoginTimeout

    public int getLoginTimeout()
                        throws SQLException

  Specified by:
    `getLoginTimeout` in interface `DataSource`
  Throws:
    `SQLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2011. All Rights Reserved.